%define debug_dir       /usr/lib/debug/%{_libdir}

Name:		json-c
Version:	0.10
Release:	4%{?dist}
Summary:	A JSON implementation in C
Group:		Development/Libraries
License:	MIT
URL:		https://github.com/json-c/json-c/wiki
Source0:	https://github.com/downloads/json-c/json-c/json-c-%{version}.tar.gz
Patch0:     json-c-0.10-objectiter.patch
BuildRequires:  autoconf, libtool, automake
Provides:       json-c
BuildRoot:  %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
JSON-C implements a reference counting object model that allows you to easily
construct JSON objects in C, output them as JSON formatted strings and parse
JSON formatted strings back into the C representation of JSON objects.

%package libjson
Summary:        JSON shared lib
Group:          System/Libraries

%description libjson
This package includes the JSON library.

%package devel
Summary:	Development headers and library for json-c
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig
Provides:       json-c-devel

%description devel
This package contains the development headers and library for json-c.

%package doc
Summary:        Reference manual for json-c
Group:          Documentation

%description doc
This package contains documentation for json-c.

%package debug
Summary:        Debug info for json-c
Group:          Development/Debug

%description debug
This package contains debug information for json-c.

%prep
%setup -q
%patch0 -p0

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README README.html
%{_includedir}/json
%{_libdir}/libjson.so*
%{_libdir}/libjson.la

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/json.pc
%{_libdir}/libjson.a

%files debug
%defattr(-,root,root,-)
%{debug_dir}/libjson.so*debug

%files doc
%defattr(-,root,root,-)
%doc doc/html/*

%changelog
* Thu Apr 24 2014 Aedan Dispenza <ad778@nbcs.rutgers.edu> - 0.10-3.ru
- Repackaged for CentOS 5

* Tue Jan 14 2014 Matt Robinson <mwr54@nbcs.rutgers.edu> - 0.10-5.ru6
- readded that patch file

* Tue Aug 27 2013 Kyle Suarez <kds124@nbcs.rutgers.edu> - 0.10-4.ru
- Added different configure options and autoreconf to generate 64-bit files
- Fixed files
- autoreconf needs autoconf, libtool, and automake

* Tue Aug 27 2013 Kyle Suarez <kds124@nbcs.rutgers.edu> - 0.10-3.ru
- Clean up the files section
- Patch to get json_object_iterator.c compiled properly

* Tue Aug 27 2013 Kyle Suarez <kds124@nbcs.rutgers.edu> - 0.10-2.ru
- Rebuild with missing files added

* Mon Aug 26 2013 Kyle Suarez <kds124@nbcs.rutgers.edu> - 0.10-1.ru
- First build for Rutgers for version 0.10
